#
# spec file for package kew
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kew
Version:        1.11
Release:        1.1
Summary:        A command-line music player
License:        GPL-2.0-only
URL:            https://github.com/ravachol/kew
Source:         %{url}/archive/v%{version}/kew-%{version}.tar.gz
BuildRequires:  freeimage-devel
BuildRequires:  gcc >= 13
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(chafa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(vorbisfile)

%description
Listen to music in the terminal.

%prep
%autosetup

%build
%make_build

%install
%make_install

%files
%license LICENSE
%doc README*
%{_bindir}/kew
%{_mandir}/man1/kew.1%{?ext_man}

%changelog
* Sun Dec 10 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.11
  * Now shows volume percentage. New alternate key for raising
    volume: =.
  * Fixed bug where on a small window size, the Nerd Fonts for
    seeking, repeat and shuffle when all three enabled could mess
    up the visualizer.
* Mon Dec  4 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.10
  * Improved config file, with more information on how to make key
    bindings with special keys for instance.
  * Changing the volume is now for just kew, not the master volume
    of your system.
  * Switching songs now unpauses the player.
  * Fixed issue of potential crash when uninitializing decoders.
* Fri Dec  1 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.9
  * Fixed a potential dead-lock situation.
  * Fixed one instance of wrong metadata/cover being displayed for
    a song on rare occasions.
  * Fixed an issue that could lead to a crash when switching songs.
  * Fixed issue of potential crash when closing audio file.
  * Fixed playlist showing the previous track as the current one.
  * Much improved memory allocation handling in visualizer.
  * Playlist builder now ignores hidden directories.
* Wed Nov 29 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.8.1
  * Fixed bug where kew for no reason stopped playing audio but
    kept counting elapsed seconds.
  * Fixed bugs relating to showing the playlist.
  * Fixed bug where trying to seek in ogg files led to strange
    behavior. Now seeking in ogg is entirely disabled.
  * More colorful visualizer bars when using album cover colors.
* Tue Nov 28 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.8
  * visualizer bars now grow and decrease smoothly (if your
    terminal supports unicode).
  * m4a files quit properly.
* Mon Nov 27 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.7.4
  * kew is now interactive when paused.
  * Fixed issue with crashing after a few plays with repeat
    enabled.
  * Deletes cover images from cache after playing the file.
* Sun Nov 26 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.7.3
  * Fixed issue with crashing after a few plays with repeat
    enabled.
  * Fixed issue with crash after seeking to the end of songs a few
    times.
* Thu Nov 23 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.7.2
  * Introduced Nerd Font glyphs for things like pause, repeat, fast
    forward and so on.
  * More minor fixes.
  * Fixed issues with the makefile.
* Mon Nov 20 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.7.1
  * Fixes a few issues in 1.7.0
* Fri Nov 17 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Initial package
